Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# coverage.hh File Reference

A PangoCoverage C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <pango/pango-coverage.h>`
`#include <xfc/pango/inline/coverage.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::Coverage
    A PangoCoverage C++ wrapper class. More...

## Enumerations

- enum CoverageLevel {
  COVERAGE_NONE = PANGO_COVERAGE_NONE,
  COVERAGE_FALLBACK = PANGO_COVERAGE_FALLBACK,
  COVERAGE_APPROXIMATE = PANGO_COVERAGE_APPROXIMATE,
  COVERAGE_EXACT = PANGO_COVERAGE_EXACT
  }
    Used to indicate how well a font can represent a particular ISO 10646 character point for a particular script. More...

## Detailed Description

A PangoCoverage C++ wrapper interface.

Provides Coverage, an object used to determine if a particular font can represent a particular character, and also how well it can represent that character.

## Enumeration Type Documentation

enum CoverageLevel

Used to indicate how well a font can represent a particular ISO 10646 character point for a particular script.

Enumeration values:

  COVERAGE_NONE | The character is not representable with the font.
  COVERAGE_FALLBACK | The character is represented in a way that may be comprehensible but is not the correct graphical form; for instance, a Hangul character represented as a a sequence of Jamos, or a Latin transliteration of a Cyrillic word.
  COVERAGE_APPROXIMATE | The character is represented as basically the correct graphical form, but with a stylistic variant inappropriate for the current script.
  COVERAGE_EXACT | The character is represented as the correct graphical form.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3